/**
 */
package com.abernard.xtext.air.air.util;

import com.abernard.xtext.air.air.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see com.abernard.xtext.air.air.AirPackage
 * @generated
 */
public class AirAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static AirPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public AirAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = AirPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AirSwitch<Adapter> modelSwitch =
    new AirSwitch<Adapter>()
    {
      @Override
      public Adapter caseModel(Model object)
      {
        return createModelAdapter();
      }
      @Override
      public Adapter caseIncludes(Includes object)
      {
        return createIncludesAdapter();
      }
      @Override
      public Adapter casePlane(Plane object)
      {
        return createPlaneAdapter();
      }
      @Override
      public Adapter caseAirport(Airport object)
      {
        return createAirportAdapter();
      }
      @Override
      public Adapter caseAirline(Airline object)
      {
        return createAirlineAdapter();
      }
      @Override
      public Adapter caseCodeOACI(CodeOACI object)
      {
        return createCodeOACIAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link com.abernard.xtext.air.air.Model <em>Model</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.abernard.xtext.air.air.Model
   * @generated
   */
  public Adapter createModelAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.abernard.xtext.air.air.Includes <em>Includes</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.abernard.xtext.air.air.Includes
   * @generated
   */
  public Adapter createIncludesAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.abernard.xtext.air.air.Plane <em>Plane</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.abernard.xtext.air.air.Plane
   * @generated
   */
  public Adapter createPlaneAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.abernard.xtext.air.air.Airport <em>Airport</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.abernard.xtext.air.air.Airport
   * @generated
   */
  public Adapter createAirportAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.abernard.xtext.air.air.Airline <em>Airline</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.abernard.xtext.air.air.Airline
   * @generated
   */
  public Adapter createAirlineAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.abernard.xtext.air.air.CodeOACI <em>Code OACI</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.abernard.xtext.air.air.CodeOACI
   * @generated
   */
  public Adapter createCodeOACIAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //AirAdapterFactory
